const TestRun = require('../../lib/test-run/index');
const delay   = require('../../lib/utils/delay');

describe('Request handling', () => {
    it('Should abort request if it\'s longer than 3s', () => {
        const testMock = {
            fixture:       { path: '' },
            clientScripts: [],
            requestHooks:  []
        };

        const testRun = new TestRun(testMock, {}, null, null, {});

        const handleRequestPromise = testRun.ready({ status: { id: 1, consoleMessages: [] } });

        const timeoutPromise = delay(3500).then(() => {
            throw new Error('timeout is exceeded');
        });

        return Promise.race([handleRequestPromise, timeoutPromise]);
    });
});
